import React from 'react';
import PropTypes from 'prop-types';

export function IconArrowDown({ className }) {
  return (
    <span className={className}>
      <svg xmlns="http://www.w3.org/2000/svg" width="12" height="7" viewBox="0 0 12 7">
        <path
          fill="none"
          fillRule="evenodd"
          stroke="#9E9E9E"
          strokeLinecap="square"
          strokeWidth="1.5"
          d="M1 .002L4.999 4 9 0"
        />
      </svg>
    </span>
  );
}

IconArrowDown.propTypes = {
  className: PropTypes.string,
};

IconArrowDown.defaultProps = {
  className: null,
};
