import React from 'react';
import { ProfileMenu } from './profile-menu';

describe('<ProfileMenuUI />', () => {
  let wrapper;

  beforeAll(() => {
    wrapper = shallow(<ProfileMenu isUserLoggedIn />);
  });

  describe('when user is not logged in', () => {
    test('should match snapshot', () => {
      expect(wrapper).toMatchSnapshot();
    });

    test('should toggle dropdown menu', () => {
      wrapper.instance().toggleMenu();
      expect(wrapper.state().menuOpen).toBe(true);
    });
  });

  describe('when user is logged in', () => {
    test('should match snapshot', () => {
      wrapper.setProps({
        isUserLoggedIn: false,
      });
      expect(wrapper).toMatchSnapshot();
    });
  });
});
