import React from 'react';
import PropTypes from 'prop-types';
import { Link } from 'react-router-dom';
import { wrapRoute2Locale } from '../../helpers/localization';

export const RouteLink = ({ to, href, ...props }) => {
  const withLocale = wrapRoute2Locale(to);
  return <Link href={href || withLocale} to={withLocale} {...props} />;
};

RouteLink.propTypes = {
  to: PropTypes.string.isRequired,
  href: PropTypes.string,
};

RouteLink.defaultProps = {
  href: null,
};
