import store from 'store';
import { chooseLocale, chooseLang, chooseLangSecond } from './localization';

jest.mock('store', () => {
  let returnLocale = 'en';
  return {
    get: () => returnLocale,
    set: (locale) => {
      returnLocale = locale;
    },
  };
});

describe('localization', () => {
  test('chooseLocale', () => {
    expect(chooseLocale()).toEqual('en-us');
  });

  test('chooseLang', () => {
    expect(chooseLang('ru')).toEqual('ru');
    store.set('asdklckzox');
    expect(chooseLang('asdadasdasd')).toEqual('en');
  });

  test('chooseLangSecond', () => {
    expect(chooseLangSecond('ru')).toEqual('ru');
    store.set('asdklckzox');
    expect(chooseLangSecond('wjfoijzocijzxc')).toEqual('en');
  });
});
